Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.runtime
Class ExpressionLanguageRuntimeRegistry

    java.lang.Object
      org.apache.ode.bpel.runtime.ExpressionLanguageRuntimeRegistry

    public class ExpressionLanguageRuntimeRegistry

extends java.lang.Object

A registry of `ExpressionLanguageRuntime` objects that is able to map a given expression to the appropriate language runtime.

Constructor Summary
`ExpressionLanguageRuntimeRegistry()`

Method Summary
`java.util.List` | `evaluate(OExpression cexp, EvaluationContext ctx)`
`boolean` | `evaluateAsBoolean(OExpression cexp, EvaluationContext ctx)`
`java.util.Calendar` | `evaluateAsDate(OExpression cexp, EvaluationContext ctx)`
`Duration` | `evaluateAsDuration(OExpression cexp, EvaluationContext ctx)`
`java.lang.Number` | `evaluateAsNumber(OExpression cexp, EvaluationContext ctx)`
`java.lang.String` | `evaluateAsString(OExpression cexp, EvaluationContext ctx)`
`org.w3c.dom.Node` | `evaluateNode(OExpression cexp, EvaluationContext ctx)`
`void` | `registerRuntime(OExpressionLanguage oelang)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpressionLanguageRuntimeRegistry

    public ExpressionLanguageRuntimeRegistry()

Method Detail

### registerRuntime

    public void registerRuntime(OExpressionLanguage oelang)
                         throws ConfigurationException

  Throws:
    `ConfigurationException`

### evaluateAsString

    public java.lang.String evaluateAsString(OExpression cexp,
                                             EvaluationContext ctx)
                                      throws FaultException,
                                             EvaluationException

  Throws:
    `FaultException`
    `EvaluationException`

### evaluateAsBoolean

    public boolean evaluateAsBoolean(OExpression cexp,
                                     EvaluationContext ctx)
                              throws FaultException,
                                     EvaluationException

  Throws:
    `FaultException`
    `EvaluationException`

### evaluateAsNumber

    public java.lang.Number evaluateAsNumber(OExpression cexp,
                                             EvaluationContext ctx)
                                      throws FaultException,
                                             EvaluationException

  Throws:
    `FaultException`
    `EvaluationException`

### evaluate

    public java.util.List evaluate(OExpression cexp,
                                   EvaluationContext ctx)
                            throws FaultException,
                                   EvaluationException

  Throws:
    `FaultException`
    `EvaluationException`

### evaluateNode

    public org.w3c.dom.Node evaluateNode(OExpression cexp,
                                         EvaluationContext ctx)
                                  throws FaultException,
                                         EvaluationException

  Throws:
    `FaultException`
    `EvaluationException`

### evaluateAsDate

    public java.util.Calendar evaluateAsDate(OExpression cexp,
                                             EvaluationContext ctx)
                                      throws FaultException,
                                             EvaluationException

  Throws:
    `FaultException`
    `EvaluationException`

### evaluateAsDuration

    public Duration evaluateAsDuration(OExpression cexp,
                                       EvaluationContext ctx)
                                throws FaultException,
                                       EvaluationException

  Throws:
    `FaultException`
    `EvaluationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD